
QGIS Application - Bug report #21342

Can't visualize jpg files on Windows

2019-02-21 08:09 PM - Mattia Fabbri

Status: Open

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:3.4.5 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29160

Description

Hello everybody,

I'm running the Qgis version 3.4.4, but I had the same problem with 3.4.1, on a Core i5 with Windows 10 system.

When i try to open a .jpg file as a vector or in the georeferencer, all i got is these kind of images (depending on the zoom) you can see

below:

http://rabanarx.altervista.org/bug1.jpg

http://rabanarx.altervista.org/bug2.jpg

http://rabanarx.altervista.org/bug3.jpg

History

#1 - 2019-02-22 10:47 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from High to Normal

Please attach sample data.

#2 - 2019-03-07 02:34 PM - Patrice Wijnands

I can replicate this issue with QGIS 3.6.0. This was not an issue before QGIS 2.18, and with QGIS 2.14 it still works.

A sample is available on

www.vewa-ev.de/Dokumente/Wijnands/Bilder/sample.zip

and holds a JPG with an MapInfo TAB file holding its georeference. The JPG was not written with MapInfo, but probably for 10 years with XnView.

#3 - 2019-03-07 06:52 PM - Giovanni Manghi

- File Screenshot_20190307_175314.png added

Patrice Wijnands wrote:

I can replicate this issue with QGIS 3.6.0. This was not an issue before QGIS 2.18, and with QGIS 2.14 it still works.

A sample is available on
http://www.vewa-ev.de/Dokumente/Wijnands/Bilder/sample.zip


www.vewa-ev.de/Dokumente/Wijnands/Bilder/sample.zip

and holds a JPG with an MapInfo TAB file holding its georeference. The JPG was not written with MapInfo, but probably for 10 years with XnView.

works fine here (3.4.5 and 3.6 on Ubuntu), see attached image

#4 - 2019-03-07 09:06 PM - Patrice Wijnands

I need to use Win10 64 bit.

#5 - 2019-03-08 09:08 AM - Giovanni Manghi

- Operating System changed from Windows 10 to Windows

- Subject changed from Can't visualize jpg files to Can't visualize jpg files on Windows

- Status changed from Feedback to Open

- Affected QGIS version changed from 3.4.4 to 3.4.5

Patrice Wijnands wrote:

I need to use Win10 64 bit.

This is probably a problem with a library, not QGIS itself.

Files

Screenshot_20190307_175314.png 1.36 MB 2019-03-07 Giovanni Manghi
http://www.vewa-ev.de/Dokumente/Wijnands/Bilder/sample.zip

